<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_69c6236c927bc93c5d062074967d834" . "d" => base64_decode("cGFnZV92ZXJza" . "W9u"), "pa" . "ge" . "_i" . "d" => base64_decode("cGFnZV9pZA" . "=="), "_2aef71f1" . "03069bdb7" . "2b57d0b3b" . "d1d294" => base64_decode("Q2Fubm90IGRpc3BsYXkg" . "Y29tbWVudHMgLSBwYWdl" . "IG5vdCBpZGVudGlmaWVk"), "_1a6a10bd09998ad0ae2a2b4e0fd96" . "6e8" => base64_decode("U0NSSVBU" . "X1VSSQ=="));
class PublishCommentsComponent extends ClaCommentsComponent
{
    public function Show($attributes)
    {
        $_b2e2301cda45361416cebc466d340194 = PublishBrowser::Instance();
        $page_id = $_b2e2301cda45361416cebc466d340194->GetPageIdByUrl($_SERVER[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_1a6a10bd09" . "998ad0ae2a2" . "b4e0fd966e8"]]);
        if ($page_id < 0) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_2aef71f103069bdb72b57d0b3bd1" . "d294"];
        }
        $attributes[$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["page" . "_id"]] = $page_id;
        return parent::Show($attributes);
    }
    public function GetCommentsObject($attributes)
    {
        $comments = new PublishComments($attributes[$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["page" . "_id"]], $attributes[$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_69c6236c927bc93c5d062074967d834" . "d"]]);
        return $comments;
    }
}